<% /*
     $Revision$
     $Id$

    File:               facilitor.inc
    Description:        Root-pagina van Facilitor
    Parameters:         variabele customerID moet eventueel gezet zijn
    Context:            (alleen) vanuit /default.asp
    Notes:              Als customerID niet echt gezet is proberen we die zelf te bedenken

*/

determineCustomerId(); // doet ook rooturl. Moet zelf *voor* de onderstaande transfer's

// Deze overruled veel:
if (Request.QueryString("u").Count>0)
{
    Server.Transfer("appl/api/shorturl.asp");
}

// Deze overruled veel:
if (Request.QueryString("API").Count>0
    && Request.QueryString("Jumpto").Count == 0 ) // Niet bij Jumpto's
{
    Server.Transfer("appl/api/api.asp");
}

// Deze overruled veel:
if (Request.QueryString("API2").Count>0)
{
    var fname = String(Request.QueryString("API2")(1));
    var format = String(Request.QueryString("format")).toLowerCase();

    if (!fname.match(/[^a-zA-Z0-9\_]/)) // Safe: alleen letters, cijfer en _ in filenaam
    {
        var fso = Server.CreateObject("Scripting.FileSystemObject");
        var fullname = "appl/api2/api_" + fname + ".asp"
        if (fso.FileExists(Server.MapPath(fullname)))
            Server.Transfer(fullname);
    }
    Response.Status = "404 Not Found";
    Response.Write("Page not found");
    Response.End;
}

// Simpele SSO, base64 encoded
// login.asp wordt uiteindelijk aangeroepen via een GET, daarom moeten we deze POST veilig stellen
if (Request.Form("UID").Count>0)
    Session("UID_DEC") = Request.Form("UID")(1);
else
    Session.Contents.Remove("UID_DEC");

CACHE_checkfreshness=1;
%>
<!--#include file="../shared/common.inc" -->
<!--#include file="../api/api.inc" -->
<!--#include file="../shared/useragent.inc" -->
<%

 // Locale goedzetten zodat we goed punten en komma's krijgen
    strAcceptLanguage = ""+Request.ServerVariables("HTTP_ACCEPT_LANGUAGE")

    strPos = strAcceptLanguage.indexOf(",")
    if (strPos > 0) strAcceptLanguage = strAcceptLanguage.substring(0, strPos);

    // Vreemd. DTO heeft met XP/IE7 "nl"
    //         JGL heeft met Vista/IE7 "nl-NL"
    // Overigens: enige effect van deze setting is dat safe.displayfloat eventueel kiest tussen punt/komma
    //            en safe.curr eventueel ook nog een goede duizendscheider er tussen doet.
    //            Welbeschouwd is het nog niet helemaal goed zo: iemand met een Nederlandse IE die bij
    //            regional settings voor Engelse decimaalscheiders heeft gekozen ziet geen effect in Facilitor.
    //            Dat lijkt niet belangrijk, totdat hij naar Excel gaat exporteren.....
    switch (strAcceptLanguage.toLowerCase())
    {
       case "en"   :
       case "en-us": Session.LCID = 1033; break;  // English(United States)
       case "en-gb": Session.LCID = 2057; break;  // English(British)
       case "nl"   :
       case "nl-nl": Session.LCID = 1043; break;  // Dutch(Standard)
       case "nl-be": Session.LCID = 2067; break;  // Dutch(Belgian)
       case "de"   :
       case "de-de": Session.LCID = 1031; break;  // German(Germany)
       case "de-at": Session.LCID = 3079; break;  // German(Austria)
       case "de-lu": Session.LCID = 4103; break;  // German(Luxembourg)
       case "de-ch": Session.LCID = 2055; break;  // German(Switzerland)
       default: /* ongemoeid laten */;
    }

    // We ondersteunen drie modi:
    // - desktop (origineel/ classic)
    // - touch (geen groot wrapper frame, aangepast menu)
    // - mobile (heel eigen interface in de pda/ folder)
    checkUserAgent(); // heeft device capability bits gezet

if (device.test(device.isDesktop)) { // normale desktop interface
%>
<html>
<head>
    <%=S("http_meta_head")%>
    <title><%=L("lcl_facilitor_ie_title")%></title>
    <meta http-equiv="Content-Type" content="text/html;charset=windows-1252">
    <link rel="shortcut icon" type="image/x-icon" href="<%= rooturl + "/" + S("fac_favicon_folder") %>/favicon.ico" />
    <link rel="apple-touch-icon"                  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon.png" />
    <link rel="apple-touch-icon" sizes="57x57"    href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-57x57.png" />
    <link rel="apple-touch-icon" sizes="72x72"    href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-72x72.png" />
    <link rel="apple-touch-icon" sizes="76x76"    href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-76x76.png" />
    <link rel="apple-touch-icon" sizes="114x114"  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-114x114.png" />
    <link rel="apple-touch-icon" sizes="120x120"  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-60@2x.png" />
    <link rel="apple-touch-icon" sizes="144x144"  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-144x144.png" />
    <link rel="apple-touch-icon" sizes="152x152"  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-76@2x.png" />
    <link rel="apple-touch-icon" sizes="180x180"  href="<%= rooturl + "/" + S("fac_favicon_folder") %>/Icon-60@3x.png" />
    <noscript><h1>Well, javascript must be enabled. FACILITOR will not function without.</h1></noscript>
</head>
<frameset frameborder="no" border="0">
    <frame name="fclttop" id="fclttop" src="appl/fac/Facilitor.asp?x=1<%=transitQS()%>" frameborder="0" marginwidth="0" noresize>
</frameset>
</html>
<%
    } else if (device.test(device.isTouch)) { // no frames
     Response.redirect("appl/fac/Facilitor.asp?"+ Request.ServerVariables("QUERY_STRING"));
    } else { //device.test(device.isMobile)
     Response.redirect("appl/pda/Facilitor.asp?"+ Request.ServerVariables("QUERY_STRING"));
    }
%>